package cn.superdesk.uniorder.dubbo.consumer._dashboard;


import cn.superdesk.uniorder.dto.vo._dashboard.*;
import cn.superdesk.uniorder.dubbo.facade._dashboard.DubboBackendDashboardService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Slf4j
@Component
public class BackendDashboardDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboBackendDashboardService dubboBackendDashboardService;


	public List<UnifiedDashboardHeadDataVo> getDashboardHeadData(Map<String, Object> params) {

		return dubboBackendDashboardService.getDashboardHeadData(params);
	}


	public List<UnifiedDashboardProjectPurchaseVo> getDashboardProjectPurchase(Map<String, Object> params) {

		return dubboBackendDashboardService.getDashboardProjectPurchase(params);
	}


	public List<UnifiedDashboardYearPurchaseVo> getDashboardYearPurchase(Map<String, Object> params) {

		return dubboBackendDashboardService.getDashboardYearPurchase(params);
	}


	public List<UnifiedDashboardProjectPurchaseCompareVo> getDashboardProjectPurchaseCompare(Map<String, Object> params) {

		return dubboBackendDashboardService.getDashboardProjectPurchaseCompare(params);
	}


	public List<UnifiedDashboardPurchaseCateCompareVo> getDashboardPurchaseCateCompare(Map<String, Object> params) {

		return dubboBackendDashboardService.getDashboardPurchaseCateCompare(params);
	}

	public List<UnifiedDashboardGoodsPurchaseRankingVo> getDashboardGoodsPurchaseRanking(Map<String, Object> params) {

		return dubboBackendDashboardService.getDashboardGoodsPurchaseRanking(params);
	}

}
